%% ------------energy consumption - radiator circuit ----------------------

%room k133
temp_diff_radiator_k133 = k133_radiator_temp-k133_indoor_air_temperature;

[energy_comsumption_radiator_k133_2] = (temp_diff_radiator_k133.^2)*(1/k133_Rconv_radiator+5/k133_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k133_2(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k133 = average_energy_radiator*numdays*24

%room k134
temp_diff_radiator_k134 = k134_radiator_temp-k134_indoor_air_temperature;

[energy_comsumption_radiator_k134] = (temp_diff_radiator_k134.^2)*(1/k134_Rconv_radiator+5/k134_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k134(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k134 = average_energy_radiator*numdays*24

%room k135
temp_diff_radiator_k135 = k135_radiator_temp-k135_indoor_air_temperature;

[energy_comsumption_radiator_k135] = (temp_diff_radiator_k135.^2)*(1/k135_Rconv_radiator+5/k135_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k135(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k135 = average_energy_radiator*numdays*24

%room k136
temp_diff_radiator_k136 = k136_radiator_temp-k136_indoor_air_temperature;

[energy_comsumption_radiator_k136] = (temp_diff_radiator_k136.^2)*(1/k136_Rconv_radiator+5/k136_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k136(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k136 = average_energy_radiator*numdays*24

%room k143
temp_diff_radiator_k143 = k143_radiator_temp-k143_indoor_air_temperature;

[energy_comsumption_radiator_k143] = (temp_diff_radiator_k143.^2)*(1/k143_Rconv_radiator+5/k143_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k143(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k143 = average_energy_radiator*numdays*24


%room k164
temp_diff_radiator_k164 = k164_radiator_temp-k164_indoor_air_temperature;

[energy_comsumption_radiator_k164] = (temp_diff_radiator_k164.^2)*(1/k164_Rconv_radiator+5/k164_Rradiation_radiator_wall); %5 due to the fact that the radiator radiates an equal amount of energy to 4 walls and one ceiling

energy_radiator_sum = 0;
for i=1:length(t)
    energy_radiator_sum=energy_radiator_sum+energy_comsumption_radiator_k164(i);
end

average_energy_radiator = energy_radiator_sum/(length(t-1)*1000);  % divided by 1000 to get average energy in kilowatt.

kilowatt_hours_used_k164 = average_energy_radiator*numdays*24

%% --------------total energy consumption radiators------------------------
[sum_energy_comsumption_radiator2] = [energy_comsumption_radiator_k133]+[energy_comsumption_radiator_k134]+[energy_comsumption_radiator_k135]+[energy_comsumption_radiator_k136]+[energy_comsumption_radiator_k143]+[energy_comsumption_radiator_k164];

sum_kilowatt_hours_used2 = kilowatt_hours_used_k133+kilowatt_hours_used_k134+kilowatt_hours_used_k135+kilowatt_hours_used_k136+kilowatt_hours_used_k143+kilowatt_hours_used_k164
